package node

// IDs gets array of Node IDs from ListNodes struct
func (ln ListNodes) IDs() []uint64 {
	res := make([]uint64, 0, len(ln.Data))
	for _, n := range ln.Data {
		res = append(res, n.ID)
	}
	return res
}
